New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

iOS Reader Plugin will not install #110

Closed
thedeanlee opened this Issue Aug 26, 2014 · 3 comments

Comments

Projects
None yet
3 participants
@thedeanlee

thedeanlee commented Aug 26, 2014

on a MacBook pro running iOS7 Calibre 2,.0 right after the update.

Traceback (most recent call last):
File "site-packages/calibre/gui2/dialogs/plugin_updater.py", line 712, in _install_clicked
File "site-packages/calibre/customize/ui.py", line 379, in add_plugin
File "site-packages/calibre/customize/ui.py", line 53, in load_plugin
File "site-packages/calibre/customize/zipplugin.py", line 197, in load
File "lib/python2.7/importlib/init.py", line 37, in import_module
File "site-packages/calibre/customize/zipplugin.py", line 179, in load_module
File "calibre_plugins.ios_reader_apps.init", line 43, in
ImportError: No module named PyQt4.Qt

@maurerc

This comment has been minimized.

Show comment
Hide comment
@maurerc

maurerc Aug 28, 2014

calibre, version 2.0.0
ERROR: Unhandled exception: ImportError:No module named PyQt4.Qt
Same problem on mini no matter whether calibre goes after the file or I download it:

calibre 2.0 isfrozen: True is64bit: True
Darwin-13.3.0-x86_64-i386-64bit Darwin ('64bit', '')
('Darwin', '13.3.0', 'Darwin Kernel Version 13.3.0: Tue Jun 3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64')
Python 2.7.8
OSX: ('10.9.4', ('', '', ''), 'x86_64')
Successfully initialized third party plugins: DeDRM && Kindle and Mobipocket DeDRM && Inept Epub DeDRM && Marvin XD && Inept PDF DeDRM && eReader PDB 2 PML && Ignoble Epub DeDRM && Kobo Utilities
Traceback (most recent call last):
File "site-packages/calibre/gui2/preferences/plugins.py", line 316, in add_plugin
File "site-packages/calibre/customize/ui.py", line 379, in add_plugin
File "site-packages/calibre/customize/ui.py", line 53, in load_plugin
File "site-packages/calibre/customize/zipplugin.py", line 195, in load
File "site-packages/calibre/customize/zipplugin.py", line 179, in load_module
File "calibre_plugins.ios_reader_apps.init", line 43, in
ImportError: No module named PyQt4.Qt

maurerc commented Aug 28, 2014

calibre, version 2.0.0
ERROR: Unhandled exception: ImportError:No module named PyQt4.Qt
Same problem on mini no matter whether calibre goes after the file or I download it:

calibre 2.0 isfrozen: True is64bit: True
Darwin-13.3.0-x86_64-i386-64bit Darwin ('64bit', '')
('Darwin', '13.3.0', 'Darwin Kernel Version 13.3.0: Tue Jun 3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64')
Python 2.7.8
OSX: ('10.9.4', ('', '', ''), 'x86_64')
Successfully initialized third party plugins: DeDRM && Kindle and Mobipocket DeDRM && Inept Epub DeDRM && Marvin XD && Inept PDF DeDRM && eReader PDB 2 PML && Ignoble Epub DeDRM && Kobo Utilities
Traceback (most recent call last):
File "site-packages/calibre/gui2/preferences/plugins.py", line 316, in add_plugin
File "site-packages/calibre/customize/ui.py", line 379, in add_plugin
File "site-packages/calibre/customize/ui.py", line 53, in load_plugin
File "site-packages/calibre/customize/zipplugin.py", line 195, in load
File "site-packages/calibre/customize/zipplugin.py", line 179, in load_module
File "calibre_plugins.ios_reader_apps.init", line 43, in
ImportError: No module named PyQt4.Qt

@thedeanlee

This comment has been minimized.

Show comment
Hide comment
@thedeanlee

thedeanlee Aug 28, 2014

I found in a thread that it's not updated for 2.0 yet.so we have to wait for the update!

thedeanlee commented Aug 28, 2014

I found in a thread that it's not updated for 2.0 yet.so we have to wait for the update!

@Philantrop

This comment has been minimized.

Show comment
Hide comment
@Philantrop

Philantrop Aug 31, 2014

Owner

This is a known incompatibility with the latest Calibre versions. I'm going to update both this plugin and MXD as soon as my time permits. I've just returned from my summer vacations and have to catch up with other stuff first. Please subscribe to issue #105 to stay up to date since I'm closing this as a duplicate bug.

Owner

Philantrop commented Aug 31, 2014

This is a known incompatibility with the latest Calibre versions. I'm going to update both this plugin and MXD as soon as my time permits. I've just returned from my summer vacations and have to catch up with other stuff first. Please subscribe to issue #105 to stay up to date since I'm closing this as a duplicate bug.

@Philantrop Philantrop closed this Aug 31, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment